Skip to main content
GET
/
v2
/
giftcards
/
programs
/
{programId}
/
reports
/
escheatment
Getescheatmentreport
curl --request GET \
  --url https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/escheatment \
  --header 'Authorization: Bearer <token>'
{
  "reportId": "<string>",
  "generatedAt": "2023-11-07T05:31:56Z",
  "jurisdiction": "<string>",
  "dormancyThresholdDays": 123,
  "entries": [
    {
      "cardId": "<string>",
      "cardNumber": "<string>",
      "balance": "<string>",
      "lastActivityDate": "2023-11-07T05:31:56Z",
      "dormancyDays": 123,
      "jurisdiction": "<string>",
      "liabilityAmount": "<string>",
      "customerEmail": "<string>",
      "merchantId": "<string>"
    }
  ],
  "totalLiability": "<string>",
  "entriesCount": 123
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Path Parameters

programId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Query Parameters

jurisdiction
string | null
dormancy_days
integer
default:1095
Required range: 1 <= x <= 3650
cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

reportId
string
required
generatedAt
string<date-time>
required
jurisdiction
string
required
dormancyThresholdDays
integer
required
entries
EscheatmentReportEntryResponse · object[]
required
totalLiability
string
required
entriesCount
integer
required